SubscriptionRequest.h File Reference

UpnpSubscriptionRequest object declararion. More...

`#include "UpnpGlobal.h"`
`#include "UpnpString.h"`
Include dependency graph for SubscriptionRequest.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpSubscriptionRequest | UpnpSubscriptionRequest

## Functions

UpnpSubscriptionRequest * | UpnpSubscriptionRequest_new ()
void | UpnpSubscriptionRequest_delete (UpnpSubscriptionRequest *p)
UpnpSubscriptionRequest * | UpnpSubscriptionRequest_dup (const UpnpSubscriptionRequest *p)
void | UpnpSubscriptionRequest_assign (UpnpSubscriptionRequest *p, const UpnpSubscriptionRequest *q)
const UpnpString * | UpnpSubscriptionRequest_get_ServiceId (const UpnpSubscriptionRequest *p)
const char * | UpnpSubscriptionRequest_get_ServiceId_cstr (const UpnpSubscriptionRequest *p)
void | UpnpSubscriptionRequest_set_ServiceId (UpnpSubscriptionRequest *p, const UpnpString *s)
void | UpnpSubscriptionRequest_strcpy_ServiceId (UpnpSubscriptionRequest *p, const char *s)
const UpnpString * | UpnpSubscriptionRequest_get_UDN (const UpnpSubscriptionRequest *p)
const char * | UpnpSubscriptionRequest_get_UDN_cstr (const UpnpSubscriptionRequest *p)
void | UpnpSubscriptionRequest_set_UDN (UpnpSubscriptionRequest *p, const UpnpString *s)
void | UpnpSubscriptionRequest_strcpy_UDN (UpnpSubscriptionRequest *p, const char *s)
const UpnpString * | UpnpSubscriptionRequest_get_SID (const UpnpSubscriptionRequest *p)
const char * | UpnpSubscriptionRequest_get_SID_cstr (const UpnpSubscriptionRequest *p)
void | UpnpSubscriptionRequest_set_SID (UpnpSubscriptionRequest *p, const UpnpString *s)
void | UpnpSubscriptionRequest_strcpy_SID (UpnpSubscriptionRequest *p, const char *s)

## Detailed Description

UpnpSubscriptionRequest object declararion.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

typedef struct s_UpnpSubscriptionRequest UpnpSubscriptionRequest

Returned along with a UPNP_EVENT_SUBSCRIPTION_REQUEST callback.

## Function Documentation

void UpnpSubscriptionRequest_assign | ( | UpnpSubscriptionRequest * | p,
|  | const UpnpSubscriptionRequest * | q
| ) |  |

Assignment operator

References UpnpSubscriptionRequest_get_ServiceId(), UpnpSubscriptionRequest_get_SID(), and UpnpSubscriptionRequest_get_UDN().

Referenced by UpnpSubscriptionRequest_dup().

void UpnpSubscriptionRequest_delete | ( | UpnpSubscriptionRequest * | p | ) |

Destructor

References UpnpString_delete().

Referenced by gena_process_subscription_request().

UpnpSubscriptionRequest* UpnpSubscriptionRequest_dup | ( | const UpnpSubscriptionRequest * | p | ) |

Copy Constructor

References UpnpSubscriptionRequest_assign(), and UpnpSubscriptionRequest_new().

const UpnpString* UpnpSubscriptionRequest_get_ServiceId | ( | const UpnpSubscriptionRequest * | p | ) |

The identifier for the service being subscribed to.

Referenced by UpnpSubscriptionRequest_assign().

const UpnpString* UpnpSubscriptionRequest_get_SID | ( | const UpnpSubscriptionRequest * | p | ) |

The assigned subscription ID for this subscription.

Referenced by UpnpSubscriptionRequest_assign().

const UpnpString* UpnpSubscriptionRequest_get_UDN | ( | const UpnpSubscriptionRequest * | p | ) |

Universal device name.

Referenced by UpnpSubscriptionRequest_assign().

UpnpSubscriptionRequest* UpnpSubscriptionRequest_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by gena_process_subscription_request(), and UpnpSubscriptionRequest_dup().